Skip to main content
`Ctrl`+`K`

# DMDASNESFunctionFn

Function type for the local residual callback set with `DMDASNESSetFunctionLocal()` on a `DMDA`-based `SNES`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode DMDASNESFunctionFn(DMDALocalInfo *info, void *u, void *f, PetscCtx ctx);

## Calling Sequence

- info - the local grid information from the `DMDA`

- u - pointer to the local input solution array

- f - pointer to the local output residual array to be filled

- ctx - optional user-provided context

## See Also

`DMDA`, `SNES`, `DMDASNESSetFunctionLocal()`, `DMDASNESJacobianFn`, `DMDASNESObjectiveFn`, `DMDASNESFunctionVecFn`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages